void InterruptServiceRoutine() //Interrupt to tell the main loop that the turret is either to be activated or disactivated.
{
  
if(digitalRead(TouchPadPin)==LOW)	//when something touches the pad the output is LOW. 
  {
    if(TouchPadEventFlag==1)  //checks to see whether or not the flag has already been activated.
    {
      digitalWrite(LED, LOW);    //If flag has already been hit, LED is HIGH. This changes LED to off.   
      TouchPadEventFlag=0;   //Toggles event flag to off.         
    }
    else   //In this case, turret is not activated, and by pressing the pad we are seeking to turn it on.
    {
      digitalWrite(LED, HIGH);//turn the LED on
      TouchPadEventFlag=1;//set the flag to tell the main loop that a touch event occurred.
    }
  }
}
void warning() {
  for(int i=0; i<4; i++) { //loop made to create the flashing LED/buzzer effect. Also to clean up code since it is cyclic
    digitalWrite(LEDPin, HIGH);  //writes the warning LEDs high
    digitalWrite(BuzzerPin,HIGH);  //write the warning buzzer high
    delay(500);  //delay for outputs to be noticed
    digitalWrite(LEDPin, LOW);  //writes LEDs low
    digitalWrite(BuzzerPin,LOW);  //writes buzzer low
    delay(500); //delay before repeat
  }
  
}
void fireDarts() {
  digitalWrite(PusherPin,HIGH); //activates the pusher and begins firing
  delay(4000);  // time for darts to fire
  digitalWrite(PusherPin,LOW);   //deactivates the pusher.
}
